Foreman - Bug #28637

An empty report file doesn't show any headers
01/04/2020 07:34 PM - Marek Hulan

Status: Closed

Priority: Normal

Assignee: Marek Hulan

Category: Reporting

Target version:

Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases:
Bugzilla link: 1705097 Red Hat JIRA:

Pull request: https://github.com/theforeman/communit

y-templates/pull/675

Description
Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1705097

Description of problem:

When you generate a report template, it doesn't show any CSV headers (name, label, severity, etc...) on the top of the file if no
results are found. This is just a blank file and is confusing as it makes one think the file wasn't generated correctly, also it may break
automation that users build around this.

We should keep the headers on the file even if its blank

Version-Release number of selected component (if applicable):
6.5.0

How reproducible:
Always

Steps to Reproduce:

1.Navigate to Report Templates

2.Click "Generate" for applicable errata and search with a host that has no errata applicable (name = myhost).
3.view blank report

Actual results:
report is blank

Expected results:
report has headers

Additional info:

Related issues:
Related to Foreman - Bug #30039: Host - Registered Content Hosts report: "Saf... Closed

Associated revisions

Revision bc1362bf - 02/26/2020 12:53 PM - Marek Hulan

Fixes #28637 - set minimal headers for empty reports

When the report does not render any row, resulting file does not have

any headers. This can be confusing for users, so render_headers macro
was added. It should specify column names that user should always see.
In case some columns are added dynamically, and report_row adds some
additional columns, they are added on demand. Meaning, if we iterate
over some data, new columns can be still added.

History

#1 - 01/04/2020 08:02 PM - The Foreman Bot
https://bugzilla.redhat.com/show_bug.cgi?id=1705097

- Status changed from New to Ready For Testing
- Assignee set to Marek Hulan

- Pull request https://github.com/theforeman/community-templates/pull/675 added

#2 - 02/26/2020 12:53 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#3 - 02/26/2020 01:01 PM - Marek Hulan
- Status changed from Ready For Testing to Closed

Applied in changeset community-templates|bc1362bf712971658ac6d63c661f3841ab727046.

#4 - 03/05/2020 12:20 PM - Tomer Brisker
- Category changed from Statistics to Reporting

#5 - 06/07/2020 09:06 AM - Tomer Brisker

- Related to Bug #30039: Host - Registered Content Hosts report: "Safemode doesn't allow to access 'report_hraders' on #<Safemode::ScopeObject>"
added
